      subroutine indx_off(h1,h2,hh1,hh2,ina,outa,crnr
     &  ,n1,n2,nn1,nn2)
c.....Marks location of nested grid no. "narr" (with coordinates                         
c..... hh1,hh2)       
CC   no narr nest                                                                   
      real*8 h1(n1),h2(n2),hh1(nn1),hh2(nn2)
      integer ina(4),outa(4),crnr(4)
      crnr(1)=1
      crnr(2)=nn1
      crnr(3)=1
      crnr(4)=nn2
      i=1
      do while (h1(i).LT.hh1(1))
        i=i+1
      end do
      ina(1)=i
      i=1
      do while (h1(i).LE.hh1(nn1))
         i=i+1
      end do
      ina(2)=i-1
      i=1
      do while (h2(i).LT.hh2(1))
         i=i+1
      end do
      ina(3)=i
      i=1
      do while (h2(i).LE.hh2(nn2))
         i=i+1
      end do
      ina(4)=i-1
      i=1
      do while (hh1(i).LT.h1(ina(1)))
       i=i+1
      end do
      outa(1)=i
      i=1
      do while (hh1(i).LT.h1(ina(2)))
       i=i+1
      end do
      outa(2)=i-1
      i=1
      do while (hh2(i).LT.h2(ina(3)))
       i=i+1
      end do
      outa(3)=i
      i=1
      do while (hh2(i).LT.h2(ina(4)))
       i=i+1
      end do
      outa(4)=i-1
      return
      end
